package body MSHTML.IHTMLHRElement_Object is

   procedure Put_align
     (This : IHTMLHRElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLHRElement_Put_align,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_align;

   function Get_align
     (This : IHTMLHRElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLHRElement_Get_align);
   end Get_align;

   procedure Put_color
     (This : IHTMLHRElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLHRElement_Put_color,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_color;

   function Get_color
     (This : IHTMLHRElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLHRElement_Get_color);
   end Get_color;

   procedure Put_noShade
     (This : IHTMLHRElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLHRElement_Put_noShade,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_noShade;

   function Get_noShade
     (This : IHTMLHRElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLHRElement_Get_noShade);
   end Get_noShade;

   procedure Put_width
     (This : IHTMLHRElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLHRElement_Put_width,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_width;

   function Get_width
     (This : IHTMLHRElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLHRElement_Get_width);
   end Get_width;

   procedure Put_size
     (This : IHTMLHRElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLHRElement_Put_size,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_size;

   function Get_size
     (This : IHTMLHRElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLHRElement_Get_size);
   end Get_size;

end MSHTML.IHTMLHRElement_Object;

